Qnapclub Store

Putty

2292
Installation(s)
Details


Release date 30-11--1
Thanks for your support

To be used with QTS 4.2.1

Dependencies

  • HD_Station >= 3.0.0
  • HD_Station < 4.0.0


Download links

TS-NASX86 TS-NASX86_64



No older version!